Update a container Tag

Update a container Tag

PATCH https://api.ocamba.com/v1/hood/containers/{container_id}/tags/{id}
Update tag. Updateable fields: triggers, filters, target, name, integration_params.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Path parameters

parameters

Request schema

body

Response schemas

204
No Content
curl -X PATCH \
 "https://api.ocamba.com/v1/hood/containers/{container_id}/tags/{id}" \
  -H "Authorization: Bearer {TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Updated tag name",
  "status": "active",
  "triggers": {
    "consent_initiation": false,
    "page_view": false,
    "page_load": false,
    "element_visibility": {
      "selector": ".class",
      "when_to_fire": "once-per-page",
      "min_on_screen_time": 200,
      "observe_dom_changes": true
    },
    "scroll_depth": {
      "horizontal": {
        "percentage": 75
      },
      "vertical": {
        "percentage": 50
      }
    },
    "form_submission": false,
    "exit_intent": false,
    "click_element": {
      "enabled": true,
      "element": "header"
    },
    "timer": 200,
    "custom_event": {
      "event": "my_event"
    },
    "require_all_triggers": false,
    "dom_content_ready": false
  },
  "filters": [
    {
      "variable": "<variable_id>",
      "op": "eq",
      "value": "<filter_value>",
      "filters": [
        {
          "variable": "<nested_variable_id>",
          "op": "contains",
          "value": "<nested_filter_value>"
        }
      ]
    }
  ],
  "group": "Group B",
  "target": {
    "element": "body",
    "action": "prepend"
  },
  "integration_params": {
    "<parameter_name_1>": "<updated_parameter_value_1>",
    "<parameter_name_2>": "<updated_parameter_value_2>"
  }
}'
const url = 'https://api.ocamba.com/v1/hood/containers/{container_id}/tags/{id}';
const options = {
  method: 'PATCH',
  headers: {
    Authorization: "Bearer {TOKEN}",
    'Content-Type': "application/json"
  },
  body: JSON.stringify(
    {
      "name": "Updated tag name",
      "status": "active",
      "triggers": {
        "consent_initiation": false,
        "page_view": false,
        "page_load": false,
        "element_visibility": {
          "selector": ".class",
          "when_to_fire": "once-per-page",
          "min_on_screen_time": 200,
          "observe_dom_changes": true
        },
        "scroll_depth": {
          "horizontal": {
            "percentage": 75
          },
          "vertical": {
            "percentage": 50
          }
        },
        "form_submission": false,
        "exit_intent": false,
        "click_element": {
          "enabled": true,
          "element": "header"
        },
        "timer": 200,
        "custom_event": {
          "event": "my_event"
        },
        "require_all_triggers": false,
        "dom_content_ready": false
      },
      "filters": [
        {
          "variable": "<variable_id>",
          "op": "eq",
          "value": "<filter_value>",
          "filters": [
            {
              "variable": "<nested_variable_id>",
              "op": "contains",
              "value": "<nested_filter_value>"
            }
          ]
        }
      ],
      "group": "Group B",
      "target": {
        "element": "body",
        "action": "prepend"
      },
      "integration_params": {
        "<parameter_name_1>": "<updated_parameter_value_1>",
        "<parameter_name_2>": "<updated_parameter_value_2>"
      }
    }
  )
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v1/hood/containers/{container_id}/tags/{id}");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}",
  "Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(
  [
    "name" => "Updated tag name",
    "status" => "active",
    "triggers" => [
      "consent_initiation" => false,
      "page_view" => false,
      "page_load" => false,
      "element_visibility" => [
        "selector" => ".class",
        "when_to_fire" => "once-per-page",
        "min_on_screen_time" => 200,
        "observe_dom_changes" => true
      ],
      "scroll_depth" => [
        "horizontal" => [
          "percentage" => 75
        ],
        "vertical" => [
          "percentage" => 50
        ]
      ],
      "form_submission" => false,
      "exit_intent" => false,
      "click_element" => [
        "enabled" => true,
        "element" => "header"
      ],
      "timer" => 200,
      "custom_event" => [
        "event" => "my_event"
      ],
      "require_all_triggers" => false,
      "dom_content_ready" => false
    ],
    "filters" => [
      [
        "variable" => "<variable_id>",
        "op" => "eq",
        "value" => "<filter_value>",
        "filters" => [
          [
            "variable" => "<nested_variable_id>",
            "op" => "contains",
            "value" => "<nested_filter_value>"
          ]
        ]
      ]
    ],
    "group" => "Group B",
    "target" => [
      "element" => "body",
      "action" => "prepend"
    ],
    "integration_params" => [
      "<parameter_name_1>" => "<updated_parameter_value_1>",
      "<parameter_name_2>" => "<updated_parameter_value_2>"
    ]
  ]
));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl -X PATCH \
 "https://api.ocamba.com/v1/hood/containers/{container_id}/tags/{id}" \
  -H "Authorization: Bearer {TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
  "integration_params": {
    "<parameter_name_1>": "<updated_parameter_value_1>",
    "<parameter_name_2>": "<updated_parameter_value_2>"
  }
}'
const url = 'https://api.ocamba.com/v1/hood/containers/{container_id}/tags/{id}';
const options = {
  method: 'PATCH',
  headers: {
    Authorization: "Bearer {TOKEN}",
    'Content-Type': "application/json"
  },
  body: JSON.stringify(
    {
      "integration_params": {
        "<parameter_name_1>": "<updated_parameter_value_1>",
        "<parameter_name_2>": "<updated_parameter_value_2>"
      }
    }
  )
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v1/hood/containers/{container_id}/tags/{id}");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}",
  "Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(
  [
    "integration_params" => [
      "<parameter_name_1>" => "<updated_parameter_value_1>",
      "<parameter_name_2>" => "<updated_parameter_value_2>"
    ]
  ]
));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

204 No Content

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses